> ## Documentation Index
> Fetch the complete documentation index at: https://docs.augustus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search a Bank

> You can retrieve a list of banks by a given search string. If the search string is empty (""), a default list of banks is returned. On top, you can filter results by group, capability and market.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/getivy/openapi.documented.yml post /api/service/banks/search
openapi: 3.0.0
info:
  title: Ivy API
  description: Ivy API schema
  version: '1.0'
  contact:
    name: Ivy
    url: https://www.getivy.io
    email: help@getivy.io
servers:
  - url: https://api.getivy.de
    description: Production
  - url: https://api.sand.getivy.de
    description: Sandbox
security: []
tags: []
paths:
  /api/service/banks/search:
    post:
      tags:
        - Bank
      summary: Search a Bank
      description: >-
        You can retrieve a list of banks by a given search string. If the search
        string is empty (""), a default list of banks is returned. On top, you
        can filter results by group, capability and market.
      operationId: BanksController_search
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchBanksDto'
      responses:
        '200':
          description: Returns a list of matching Banks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchBanksResponseDto'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Ivy from '@getivy/node-sdk';

            const client = new Ivy({
              apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.banks.search();

            console.log(response.banks);
components:
  schemas:
    SearchBanksDto:
      type: object
      properties:
        search:
          description: >-
            The search query. Banks with names matching the query are returned.
            If the string is empty or undefined, a list of default banks is
            returned.
          type: string
          minLength: 0
          maxLength: 100
          pattern: ^[\p{L}\p{N}\s\p{Pd}.,'":;()&@!?]*$
        group:
          description: >-
            If provided the list will show banks in this group only. Groups are
            e.g. "Sparkasse", i.e. a group of different bank branches of the
            same brand.
          type: string
        capability:
          description: >-
            Filter banks with provided capability only. `ais` for data products,
            `pis` for payment products.
          type: string
          enum:
            - ais
            - pis
          x-enumNames:
            - AIS
            - PIS
          default: pis
        market:
          description: >-
            ISO 3166-1 alpha-2 country code. Filter banks with provided market
            only. If not provided, all banks are returned.
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - CI
            - HR
            - CU
            - CY
            - CZ
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IL
            - IT
            - JM
            - JP
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - MK
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RE
            - RO
            - RU
            - RW
            - SH
            - KN
            - LC
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - SC
            - SL
            - SG
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
            - AX
            - BQ
            - CW
            - GG
            - IM
            - JE
            - ME
            - BL
            - MF
            - RS
            - SX
            - SS
            - XK
        currency:
          description: ISO 4217 currency code. Filter banks with provided currency only.
          type: string
          enum:
            - EUR
            - USD
            - GBP
            - PLN
            - SEK
            - DKK
          x-enumNames:
            - EUR
            - USD
            - GBP
            - PLN
            - SEK
            - DKK
        limit:
          description: The maximum number of banks to return (default 1000)
          type: number
          minimum: 1
          exclusiveMinimum: false
          maximum: 1000
          exclusiveMaximum: false
        skip:
          description: The number of banks to skip
          type: number
          minimum: 0
          exclusiveMinimum: false
        sessionId:
          description: The internal checkout session id. For internal use only.
    SearchBanksResponseDto:
      type: object
      properties:
        banks:
          description: A list of banks.
          type: array
          items:
            type: object
            properties:
              id:
                description: Unique identifier of the bank.
                type: string
              name:
                description: Name of the bank.
                type: string
              logo:
                description: The logo in the form of an URL
                type: string
              market:
                type: array
                items:
                  type: string
                  enum:
                    - AF
                    - AL
                    - DZ
                    - AS
                    - AD
                    - AO
                    - AI
                    - AQ
                    - AG
                    - AR
                    - AM
                    - AW
                    - AU
                    - AT
                    - AZ
                    - BS
                    - BH
                    - BD
                    - BB
                    - BY
                    - BE
                    - BZ
                    - BJ
                    - BM
                    - BT
                    - BO
                    - BA
                    - BW
                    - BV
                    - BR
                    - IO
                    - BN
                    - BG
                    - BF
                    - BI
                    - KH
                    - CM
                    - CA
                    - CV
                    - KY
                    - CF
                    - TD
                    - CL
                    - CN
                    - CX
                    - CC
                    - CO
                    - KM
                    - CG
                    - CD
                    - CK
                    - CR
                    - CI
                    - HR
                    - CU
                    - CY
                    - CZ
                    - DK
                    - DJ
                    - DM
                    - DO
                    - EC
                    - EG
                    - SV
                    - GQ
                    - ER
                    - EE
                    - ET
                    - FK
                    - FO
                    - FJ
                    - FI
                    - FR
                    - GF
                    - PF
                    - TF
                    - GA
                    - GM
                    - GE
                    - DE
                    - GH
                    - GI
                    - GR
                    - GL
                    - GD
                    - GP
                    - GU
                    - GT
                    - GN
                    - GW
                    - GY
                    - HT
                    - HM
                    - VA
                    - HN
                    - HK
                    - HU
                    - IS
                    - IN
                    - ID
                    - IR
                    - IQ
                    - IE
                    - IL
                    - IT
                    - JM
                    - JP
                    - JO
                    - KZ
                    - KE
                    - KI
                    - KP
                    - KR
                    - KW
                    - KG
                    - LA
                    - LV
                    - LB
                    - LS
                    - LR
                    - LY
                    - LI
                    - LT
                    - LU
                    - MO
                    - MG
                    - MW
                    - MY
                    - MV
                    - ML
                    - MT
                    - MH
                    - MQ
                    - MR
                    - MU
                    - YT
                    - MX
                    - FM
                    - MD
                    - MC
                    - MN
                    - MS
                    - MA
                    - MZ
                    - MM
                    - NA
                    - NR
                    - NP
                    - NL
                    - NC
                    - NZ
                    - NI
                    - NE
                    - NG
                    - NU
                    - NF
                    - MP
                    - MK
                    - 'NO'
                    - OM
                    - PK
                    - PW
                    - PS
                    - PA
                    - PG
                    - PY
                    - PE
                    - PH
                    - PN
                    - PL
                    - PT
                    - PR
                    - QA
                    - RE
                    - RO
                    - RU
                    - RW
                    - SH
                    - KN
                    - LC
                    - PM
                    - VC
                    - WS
                    - SM
                    - ST
                    - SA
                    - SN
                    - SC
                    - SL
                    - SG
                    - SK
                    - SI
                    - SB
                    - SO
                    - ZA
                    - GS
                    - ES
                    - LK
                    - SD
                    - SR
                    - SJ
                    - SZ
                    - SE
                    - CH
                    - SY
                    - TW
                    - TJ
                    - TZ
                    - TH
                    - TL
                    - TG
                    - TK
                    - TO
                    - TT
                    - TN
                    - TR
                    - TM
                    - TC
                    - TV
                    - UG
                    - UA
                    - AE
                    - GB
                    - US
                    - UM
                    - UY
                    - UZ
                    - VU
                    - VE
                    - VN
                    - VG
                    - VI
                    - WF
                    - EH
                    - YE
                    - ZM
                    - ZW
                    - AX
                    - BQ
                    - CW
                    - GG
                    - IM
                    - JE
                    - ME
                    - BL
                    - MF
                    - RS
                    - SX
                    - SS
                    - XK
              currencies:
                type: array
                items:
                  type: string
                  enum:
                    - EUR
                    - USD
                    - GBP
                    - PLN
                    - SEK
                    - DKK
                  x-enumNames:
                    - EUR
                    - USD
                    - GBP
                    - PLN
                    - SEK
                    - DKK
              group:
                type: string
              url:
                description: The URL of the bank's website.
                type: string
              default:
                description: Whether the bank is a default bank.
                type: boolean
              test:
                description: Whether the bank is a test bank.
                type: boolean
              capabilities:
                description: The capabilities of the bank.
                type: array
                items:
                  type: string
                  enum:
                    - ais
                    - pis
                  x-enumNames:
                    - AIS
                    - PIS
              supportedPaymentSchemes:
                description: The payment schemes supported by the bank.
                type: array
                items:
                  type: string
                  enum:
                    - SEPA_INSTANT
                    - FASTER_PAYMENTS
                    - SEPA
                    - ELIXIR
                    - EXPRESS_ELIXIR
                    - SEK_ACCOUNT_TO_ACCOUNT
                    - SUMCLEARING
                    - STRAKSCLEARING
                    - SWIFT
                    - INTERNAL
                    - TARGET
                    - ACH
                    - FEDWIRE
                  x-enumNames:
                    - SEPA_INSTANT
                    - FASTER_PAYMENTS
                    - SEPA
                    - ELIXIR
                    - EXPRESS_ELIXIR
                    - SEK_ACCOUNT_TO_ACCOUNT
                    - SUMCLEARING
                    - STRAKSCLEARING
                    - SWIFT
                    - INTERNAL
                    - TARGET
                    - ACH
                    - FEDWIRE
            required:
              - id
              - name
              - market
              - currencies
              - default
              - test
              - supportedPaymentSchemes
        count:
          description: The total number of banks
          type: number
        skip:
          description: The number of banks skipped
          type: number
        hasNext:
          description: Whether there are more banks to retrieve
          type: boolean
      required:
        - banks
        - count
        - skip
        - hasNext
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Ivy-Api-Key
      description: API key for authentication

````